Bug 413618

Summary: When I assign a key combination to turn off a screen using powerdevil, it stays off only for one second and then turns on again automatically
Product: [Plasma] KScreen Reporter: Ivaylo Atanasov <givbra>
Component: commonAssignee: kscreen-bugs-null <kscreen-bugs-null>
Status: CONFIRMED ---    
Severity: normal CC: buddha, danilo.luvizotto, dimme+kde, eugene.shalygin+bugzilla.kde, nate, sonichedgehog_hyperblast00, srj.elmi, subdiff
Priority: NOR    
Version: git   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
See Also: https://bugs.kde.org/show_bug.cgi?id=422455
Latest Commit: Version Fixed In:

Description Ivaylo Atanasov 2019-10-30 05:13:36 UTC
SUMMARY
When I assign a key combination to turn off the screen and apply it the display output stays off only for one second and then power on again automatically ...

STEPS TO REPRODUCE
1. Go to System Settings > Shortcuts > Global Shortcuts > Power Management > Action Turn Off Screen.
2. Assign a key combination.
3. Apply it.

OBSERVED RESULT
The display output stays off only for one second and then power on again.

EXPECTED RESULT
The display output stays off and power on again only when activated by the user.

SOFTWARE/OS VERSIONS:
Linux/KDE Plasma: Kubuntu 19.10
(available in About System)
KDE Plasma Version: 5.17.1
KDE Frameworks Version: 5.62.0
Qt Version: 5.12.4

ADDITIONAL INFORMATION:
Plus Kubuntu backports PPA.
Comment 1 Roman Gilg 2019-10-30 13:15:01 UTC
Is this a recent regression with 5.17?
Comment 2 Ivaylo Atanasov 2019-10-31 08:05:26 UTC
As I can remember I have tested turning off the screen with a keyboard shortcut some time ago and then it didn't work, too - may be with Plasma 5.17.0 ...
Comment 3 Ivaylo Atanasov 2020-02-06 05:17:41 UTC
Still not working for me in Plasma 5.18 Beta ...
Comment 4 dimme+kde 2021-03-03 13:42:45 UTC
If the screen is connected by DisplayPort, this might be related to bug 422455 : kdisplay awakes the screen as soon as it gets turned off by power saving.
Comment 5 dimme+kde 2021-03-03 13:49:42 UTC
Having the same issue.

Operating System: Kubuntu 20.04
KDE Plasma Version: 5.18.5
KDE Frameworks Version: 5.68.0
Qt Version: 5.12.8
Kernel Version: 5.4.0-66-generic
OS Type: 64-bit
Processors: 12 × Intel® Core™ i7-8700 CPU @ 3.20GHz
Memory: 15,6 GiB of RAM

Note that I am using two screens, one with an HDMI connector and the other with DisplayPort.
Comment 6 dimme+kde 2021-03-03 14:00:25 UTC
Seems like this issue has been found on Reddit: https://www.reddit.com/r/kde/comments/ewbqst/display_doesnt_sleep_in_power_save_mode/ 

I disabled kscreen and the issue disappeared, but I would like to keep kscreen active.
Comment 7 Zrg 2021-03-27 16:18:26 UTC
I have also removed kscreen2 from startup and the issue was fixed, but now I have to make my external display as "default", and change settings after each startup.

Have anyone found any other way to solve the issue?
Comment 8 Nate Graham 2022-11-08 19:36:08 UTC
*** Bug 452382 has been marked as a duplicate of this bug. ***
Comment 9 Danilo Luvizotto 2022-11-08 19:38:56 UTC
(In reply to Zrg from comment #7)
> I have also removed kscreen2 from startup and the issue was fixed, but now I
> have to make my external display as "default", and change settings after
> each startup.
> 
> Have anyone found any other way to solve the issue?

Removing kscreen2 from background services (or startup, as you said) only works for X11, with the mentioned side effects. On wayland, disabling kscreen2 still results in the monitor turning back on.